Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class CommonResourcesInjectionProvider

    java.lang.Object
      org.apache.tapestry5.internal.services.CommonResourcesInjectionProvider

All Implemented Interfaces:
  InjectionProvider2

    public class CommonResourcesInjectionProvider

extends java.lang.Object
implements InjectionProvider2

Allows for a number of anonymous injections based on the type of field that is to be injected.

Constructor Summary
`CommonResourcesInjectionProvider()`

Method Summary
`boolean` | `provideInjection(PlasticField field, ObjectLocator locator, MutableComponentModel componentModel)` Perform the injection, if possible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonResourcesInjectionProvider

    public CommonResourcesInjectionProvider()

Method Detail

### provideInjection

    public boolean provideInjection(PlasticField field,
                                    ObjectLocator locator,
                                    MutableComponentModel componentModel)

  Description copied from interface: `InjectionProvider2`
  Perform the injection, if possible. Most often, this will result in a call to `PlasticField.inject(Object)`. The caller is responsible for invoking `PlasticField.claim(Object)`.

  Specified by:
    `provideInjection` in interface `InjectionProvider2`
  Parameters:
    `field` - that has the `Inject` annotation
    `locator` - allows services to be located
    `componentModel` - defines the relevant aspects of the component
  Returns:
    true if an injection has been made (terminates the command chain), false to continue down the chain

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.